Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# UDPHandlerEndpoint Class Reference

`#include <UDPHandler.h>`

Inheritance diagram for UDPHandlerEndpoint:

[legend]
Collaboration diagram for UDPHandlerEndpoint:

[legend]
List of all members.

## Public Member Functions
| UDPHandlerEndpoint ()
| ~UDPHandlerEndpoint ()
virtual void | onSendingDone ()
virtual void | onReceive (void *data, int size)
| Called when new data arrives.
virtual void | sendPackage (int SenderNumber, void *package, int size)
## Public Attributes
NetSenderBase * | sender
NetReceiverBase * | receiver
DDPHandler * | ddpHandler
UDPHandler * | udpHandler
int | lastReceivedSerial
RingBuffer< int, 10 > | missingSerials
int | sendSerial

## Constructor & Destructor Documentation

UDPHandlerEndpoint::UDPHandlerEndpoint | ( |  | ) |

| Definition at line 16 of file UDPHandler.cpp. References lastReceivedSerial, and sendSerial.

UDPHandlerEndpoint::~UDPHandlerEndpoint | ( |  | ) |

| Definition at line 22 of file UDPHandler.cpp.

## Member Function Documentation

void UDPHandlerEndpoint::onSendingDone | ( |  | ) | `[virtual]`

| Reimplemented from UDPEndpoint. Definition at line 56 of file UDPHandler.cpp. References NetSenderBase::sendDone().

Here is the call graph for this function:

void UDPHandlerEndpoint::onReceive | ( | void * | data,
|  | int | size
| ) | `[virtual]`

| Called when new data arrives. Reimplemented from UDPEndpoint. Definition at line 61 of file UDPHandler.cpp. References RingBuffer< V, n >::add(), ddpHandler, Watchdog::enter(), RingBuffer< V, n >::getNumberOfEntries(), NetReceiverBase::getPackage(), idText, INFO, DDPListEntry::ip, lastReceivedSerial, Watchdog::leave(), DDPHandler::list, missingSerials, NetReceiverBase::onReceive(), NetReceiverBase::package, NetSenderBase::senderNumber, and watchdog.

Here is the call graph for this function:

void UDPHandlerEndpoint::sendPackage | ( | int | SenderNumber,
|  | void * | package,
|  | int | size
| ) | `[virtual]`

| Reimplemented from NetHandler. Definition at line 27 of file UDPHandler.cpp. References DDPHandler::activeTeamMembers(), ddpHandler, UDPHandler::doRegularStuff(), getPlayer(), UDPEndpoint::send(), NetSenderBase::sendDone(), sendSerial, TEAMPORTBASE, and udpHandler.

Here is the call graph for this function:

## Member Data Documentation

NetSenderBase* UDPHandlerEndpoint::sender

| Definition at line 48 of file UDPHandler.h. Referenced by UDPHandler::addSenderAndReceiver().

NetReceiverBase* UDPHandlerEndpoint::receiver

| Definition at line 49 of file UDPHandler.h. Referenced by UDPHandler::addSenderAndReceiver().

DDPHandler* UDPHandlerEndpoint::ddpHandler

| Definition at line 50 of file UDPHandler.h. Referenced by UDPHandler::addSenderAndReceiver(), onReceive(), and sendPackage().

UDPHandler* UDPHandlerEndpoint::udpHandler

| Definition at line 51 of file UDPHandler.h. Referenced by UDPHandler::addSenderAndReceiver(), and sendPackage().

int UDPHandlerEndpoint::lastReceivedSerial

| Definition at line 52 of file UDPHandler.h. Referenced by onReceive(), and UDPHandlerEndpoint().

RingBuffer<int,10> UDPHandlerEndpoint::missingSerials

| Definition at line 53 of file UDPHandler.h. Referenced by onReceive().

int UDPHandlerEndpoint::sendSerial

| Definition at line 54 of file UDPHandler.h. Referenced by sendPackage(), and UDPHandlerEndpoint().

The documentation for this class was generated from the following files:

- Platform/Aperios1.3.2/UDPHandler.h
- Platform/Aperios1.3.2/UDPHandler.cpp